ImportError in linux

After I successfully install streamlit-1.3.1,an ImportError comes forth when I import streamlit (python version:3.7.11).I don’t know how to fix it.

Here is my code

Hi @phoenix -

It looks like one of the packages you are trying to use requires zoneinfo, which if I’m reading the docs correctly only became available in Python 3.9 (you’re using Python 3.7).

Best,
Randy